import type { NextPage } from 'next'
import Head from 'next/head'
import { withAuth } from '@m3o/auth'
import { Layout } from '@/components/Layout'

export const getServerSideProps = withAuth({
  redirectOnAuthFailure: true
})

const PrivateServerProtected: NextPage = () => {
  return (
    <div>
      <Head>
        <title>Test M3O Auth</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
      </Head>
      <Layout>Private</Layout>
    </div>
  )
}

export default PrivateServerProtected
